GrailsResourceLoader (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.compiler.support
[Java] Class GrailsResourceLoader

    java.lang.Object
      org.codehaus.groovy.grails.compiler.support.GrailsResourceLoader

All Implemented Interfaces:
  groovy.lang.GroovyResourceLoader

    @java.lang.Deprecated
    public class GrailsResourceLoader
    extends java.lang.Object

Loads groovy files using Spring's IO abstraction.

deprecated:
  No longer used, will be removed in a future release

Authors:
  Graeme Rocher

Since:
  0.1

Constructor Summary
`GrailsResourceLoader(org.springframework.core.io.Resource[] resources)`

Method Summary
`java.util.List` | `getLoadedResources()`
`org.springframework.core.io.Resource` | `getResourceForClass(java.lang.Class theClass)` Returns the Grails resource for the given class or null if it is not a Grails resource.
`org.springframework.core.io.Resource[]` | `getResources()`
`java.net.URL` | `loadGroovySource(java.lang.String className)`
`void` | `setResources(org.springframework.core.io.Resource[] resources)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GrailsResourceLoader

    public GrailsResourceLoader(org.springframework.core.io.Resource[] resources)

Method Detail

### getLoadedResources

    public java.util.List getLoadedResources()

### getResourceForClass

    public org.springframework.core.io.Resource getResourceForClass(java.lang.Class theClass)

  Returns the Grails resource for the given class or null if it is not a Grails resource.
  Parameters:
    `theClass` - The class
  Returns:
    The Resource or null

### getResources

    public org.springframework.core.io.Resource[] getResources()

### loadGroovySource

    public java.net.URL loadGroovySource(java.lang.String className)

### setResources

    public void setResources(org.springframework.core.io.Resource[] resources)

Groovy Documentation